#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const meow_1 = __importDefault(require("meow"));
const generate_1 = __importDefault(require("./generate"));
const cli = meow_1.default(`
	Usage
	  $ generate-store <destination>

	Options
    --cwd=<dir>               Working directory for store
    --type=<local | global>   Default is global, local is using with useReducer

	Examples
	  Generate a sample store into src/store
	  $ generate-store src/store 
`, {
    flags: {
        cwd: {
            type: "string",
            default: process.cwd(),
        },
        type: {
            type: "string",
            default: "global",
        },
    },
});
generate_1.default(cli.input[0] || "", {
    cwd: cli.flags.cwd,
    type: cli.flags.type,
});
//# sourceMappingURL=cli.js.map